#' Retrieval functions for USGS data
#'
#' \tabular{ll}{
#' Package: \tab dataRetrieval\cr
#' Type: \tab Package\cr
#' Version: \tab 1.0.4\cr
#' Date: \tab 2012-06-19\cr
#' License: \tab GPL (>= 2)\cr
#' LazyLoad: \tab yes\cr
#' }
#'
#' Collection of functions to help retrieve USGS data from either web services or user provided data files.
#'
#' @name dataRetrieval-package
#' @docType package
#' @author Robert M. Hirsch \email{rhirsch@@usgs.gov}, Laura De Cicco \email{ldecicco@@usgs.gov}
#' @references Hirsch, R. M., Moyer, D. L. and Archfield, S. A. (2010), Weighted Regressions on Time, Discharge, and Season (WRTDS), with an Application to Chesapeake Bay River Inputs. JAWRA Journal of the American Water Resources Association, 46: 857-880. doi: 10.1111/j.1752-1688.2010.00482.x
#' @keywords data, retrieval
NULL

#' Example Water Quality Data included in dataRetrieval
#'
#' Example data representing Nitrate from the Choptank River at Greensboro, MD, USGS data
#' \if{html}{\figure{Chop1.png}{Example Data}}
#' \if{latex}{\figure{Chop1.png}}
#'
#' @name ChoptankRiverNitrate
#' @docType data
#' @author Robert M. Hirsch \email{rhirsch@@usgs.gov}
#' @keywords water quality data
NULL

#' Example Streamflow Data included in dataRetrieval
#'
#' Example data representing Streamflow and Nitrate from the Choptank River at Greensboro, MD, USGS data
#'
#' @name ChoptankRiverFlow
#' @docType data
#' @author Robert M. Hirsch \email{rhirsch@@usgs.gov}
#' @keywords water flow data
NULL

#' Flux units included in dataRetrieval
#'
#' Flux units
#'
#' @name FLUX_UNIT
#' @docType data
NULL

#' Sample Dataframe included in dataRetrieval
#'
#' Initial Sample data frame from the Choptank River
#'
#' @name exSample
#' @docType data
#' @author Robert M. Hirsch \email{rhirsch@@usgs.gov}
#' @keywords water flow data
NULL

#' Daily Dataframe included in dataRetrieval
#'
#' Initial Daily data frame from the Choptank River
#'
#' @name exDaily
#' @docType data
#' @author Robert M. Hirsch \email{rhirsch@@usgs.gov}
#' @keywords water flow data
NULL





